EC_INTERACT_PRINT_ERROR_HELPS(3)

NAME
ec_interact_print_error_helps - Print suggestions generated with ec_interact_get_error_helps().

SYNOPSIS
#include <ecoli/interact.h>

int ec_interact_print_error_helps(
    FILE                            *out,       /* The pointer to the output stream. */
    unsigned int                     width,     /* The number of columns on terminal. */
    const char                      *line,      /* The line used to generate the error helps. */
    /*
     * The helps array returned by ec_interact_get_helps().
     */
    const struct ec_interact_help   *helps,
    /*
     * The array size returned by ec_interact_get_helps().
     */
    size_t                           n,
    size_t                           char_idx   /* The index of the error in the line string. */
);

STRUCTURES
A structure describing a contextual help.

struct ec_interact_help {

};

RETURN VALUE

0 on success, or -1 on error.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_cols(3), ec_interact_set_help(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.